package main

import (
	"cicv-data-closedloop/compile-service/package/config/c_log"
	"cicv-data-closedloop/compile-service/package/config/c_oss"
	"cicv-data-closedloop/compile-service/package/handler/h_compile_plugin"
	"cicv-data-closedloop/compile-service/package/handler/h_validate_request_header"
	"fmt"
	"net/http"
)

func init() {
	// 初始化日志配置
	c_log.InitLog()
	c_oss.InitOss()
}

func main() {
	mux := http.NewServeMux()
	mux.Handle("/compile", h_validate_request_header.HeaderValidationMiddleware(&h_compile_plugin.CompileHandler{}))
	err := http.ListenAndServe(":12340", mux)
	if err != nil {
		fmt.Println("Error:", err)
	}
}
