package cfg

import (
	"cicv-data-closedloop/kinglong/common/cutil"
	"cicv-data-closedloop/kinglong/common/log"
	"github.com/bluenviron/goroslib/v2"
	"os"
)

var RosNode *goroslib.Node

func InitRosConfig() {
	log.GlobalLogger.Info("初始化RosNode - 开始")
	var err error
	RosNode, err = goroslib.NewNode(goroslib.NodeConf{
		Name:          "node" + cutil.GetNowTimeCustom(),
		MasterAddress: CloudConfig.Ros.MasterAddress,
	})
	if err != nil {
		log.GlobalLogger.Error("初始化RosNode - 失败：", err)
		os.Exit(-1)
	}
	log.GlobalLogger.Info("初始化RosNode - 成功：", CloudConfig.Ros.MasterAddress)
}
